VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form Form2 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Notes"
   ClientHeight    =   3480
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5415
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3480
   ScaleWidth      =   5415
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame2 
      Caption         =   "Note"
      Height          =   1335
      Left            =   120
      TabIndex        =   3
      Top             =   1920
      Width           =   5175
      Begin RichTextLib.RichTextBox RichTextBox1 
         Height          =   975
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   4935
         _ExtentX        =   8705
         _ExtentY        =   1720
         _Version        =   393217
         Enabled         =   -1  'True
         ReadOnly        =   -1  'True
         ScrollBars      =   2
         Appearance      =   0
         TextRTF         =   $"Form2.frx":0000
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Employee"
      Height          =   975
      Left            =   120
      TabIndex        =   2
      Top             =   840
      Width           =   5175
      Begin VB.ComboBox Combo1 
         Height          =   315
         Left            =   1800
         TabIndex        =   8
         Text            =   "Combo1"
         Top             =   360
         Width           =   3255
      End
      Begin VB.Label Label2 
         Caption         =   "Select Employee"
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   360
         Width           =   1575
      End
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FF0000&
      Height          =   615
      Left            =   0
      ScaleHeight     =   555
      ScaleWidth      =   5355
      TabIndex        =   0
      Top             =   0
      Width           =   5415
      Begin VB.CommandButton cmdSave 
         Caption         =   "Save"
         Height          =   495
         Left            =   4440
         Style           =   1  'Graphical
         TabIndex        =   7
         Top             =   0
         Width           =   855
      End
      Begin VB.CommandButton cmdCancel 
         Caption         =   "Cancel"
         Height          =   495
         Left            =   3300
         Style           =   1  'Graphical
         TabIndex        =   6
         Top             =   0
         Width           =   855
      End
      Begin VB.CommandButton cmdEdit 
         Caption         =   "Edit"
         Height          =   495
         Left            =   2160
         Style           =   1  'Graphical
         TabIndex        =   5
         Top             =   0
         Width           =   855
      End
      Begin VB.Label Label1 
         BackColor       =   &H00FF0000&
         Caption         =   "Label1"
         ForeColor       =   &H8000000E&
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   120
         Width           =   1215
      End
   End
End
Attribute VB_Name = "Form2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'Author: Zbigniew Borysiuk
'E-mail: elaborys@earthlink.net
'The following code was created for demonstration
'purpose only. This example program demonstrates
'how to use a dynamic recordset and dynamic arrays to pass
'data between objects.
'Project > References > "Microsoft ActiveX data object 2.0 library
'_________________________________________________


Option Explicit
Dim rs As ADODB.Recordset  'an object variable
Dim f() As Integer         'a dynamic array
Dim blnChanged As Boolean  'a boolean variable
Dim blnDirty As Boolean    'a boolean variable

Private Sub LoadCombo()
'an object variable
Dim objBL As clsBL
'an integer variable
Dim i As Integer
'a dynamic array
Dim a() As String
'get a reference to the object
Set objBL = New clsBL
'execute the GetNames function on the objBL object
'and assign the returned array to a()
a = objBL.GetNames
'populate the combo
For i = 0 To UBound(a)
Combo1.AddItem a(i)
Next
'assign the recordset object to the rs variable
 Set rs = objBL.Notes
'select the first item in the combo
Combo1.ListIndex = 0

End Sub

Private Sub cmdCancel_Click()
cmdEdit.Enabled = True
cmdSave.Enabled = False
cmdCancel.Enabled = False
Frame1.Enabled = True
Frame2.Caption = "View"
RichTextBox1.Locked = True
'check if a text was changed
If blnChanged Then
'restore the original text
    RichTextBox1.Text = rs!Notes
    blnChanged = False
End If
Combo1.SetFocus

End Sub

Private Sub cmdEdit_Click()
RichTextBox1.Locked = False
Frame1.Enabled = False
Frame2.Caption = "Edit"
cmdSave.Enabled = True
cmdCancel.Enabled = True
cmdEdit.Enabled = False
RichTextBox1.SetFocus

End Sub

Private Sub cmdSave_Click()
'update the recordset
With rs
    .Fields("Notes") = RichTextBox1.Text
    .Update
End With
'call MakeDirty method to mark
'a record that has been changed
MakeDirty

Frame1.Enabled = True
Frame2.Caption = "View"
cmdEdit.Enabled = True
cmdSave.Enabled = False
cmdCancel.Enabled = False
Frame2.Caption = "View"
RichTextBox1.Locked = True

End Sub

Private Sub Combo1_Click()
'start from the first record
rs.MoveFirst
'move to the selected record
rs.Move Combo1.ListIndex
'populate the controls with the field
'contents from a recordset
Label1 = "Employee # " & rs!ID
RichTextBox1.Text = rs!Notes

End Sub

Private Sub Form_Load()
'populate the combo
LoadCombo
cmdSave.Enabled = False
cmdCancel.Enabled = False


End Sub
Private Sub MakeDirty()
'an integer variable
Static i As Integer
'resize the array
ReDim Preserve f(i)
'populate the array with the ID's of employees
'whose records where changed
f(i) = rs!ID
'set the new size of the array
i = i + 1
'set a flag to indicate that
'the array was populated
blnDirty = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
'object variable
Dim objBL As clsBL
' integer variable
Dim i As Integer
'check if there are records to be saved
If blnDirty Then
'get reference to the objBL
Set objBL = New clsBL
'execute the SaveData method and
'check the returned value
If Not objBL.SaveData(rs, f) Then
'updating failed
    Cancel = -1
    MsgBox "Data not saved."
    
Else
'we are happy
    MsgBox "Data saved."
End If
End If

End Sub
Private Sub RichTextBox1_Change()
'set a flag to indicate the changes to a text
blnChanged = True
End Sub

